Package org.apache.commons.jxpath.ri.axes

# Class InitialContext

java.lang.Object
org.apache.commons.jxpath.ri.EvalContext
org.apache.commons.jxpath.ri.axes.InitialContext

All Implemented Interfaces:
  `Iterator`, `ExpressionContext`

public class InitialContext extends EvalContext
A single-set EvalContext that provides access to the current node of the parent context and nothing else. It does not pass the iteration on to the parent context.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.jxpath.ri.EvalContext

  `parentContext, position, rootContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InitialContext(EvalContext parentContext)`
  Constructs a new InitialContext.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NodePointer`
  `getCurrentNodePointer()`
  Returns the current context node.
  `Pointer`
  `getSingleNodePointer()`
  Returns the first encountered Pointer that matches the current context's criteria.
  `Object`
  `getValue()`
  Typically returns the NodeSet by calling getNodeSet(), but will be overridden for contexts that more naturally produce individual values, e.g.
  `boolean`
  `nextNode()`
  Returns true if there is another object in the current set.
  `boolean`
  `nextSet()`
  Returns true if there is another sets of objects to interate over.
  `boolean`
  `setPosition(int position)`
  Moves the current position to the specified index.

  ### Methods inherited from class org.apache.commons.jxpath.ri.EvalContext

  `getContextNodeList, getContextNodePointer, getCurrentPosition, getDocumentOrder, getJXPathContext, getNodeSet, getPosition, getRootContext, hasNext, isChildOrderingRequired, next, remove, reset, sortPointers, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### InitialContext

    public InitialContext(EvalContext parentContext)
    Constructs a new InitialContext.
    Parameters:
      `parentContext` - parent context

- ## Method Details

  - ### getCurrentNodePointer

    public NodePointer getCurrentNodePointer()
    Description copied from class: `EvalContext`
    Returns the current context node. Undefined before the beginning of the iteration.
    Specified by:
      `getCurrentNodePointer` in class `EvalContext`
    Returns:
      NodePoiner

  - ### getSingleNodePointer

    public Pointer getSingleNodePointer()
    Description copied from class: `EvalContext`
    Returns the first encountered Pointer that matches the current context's criteria.
    Overrides:
      `getSingleNodePointer` in class `EvalContext`
    Returns:
      Pointer

  - ### getValue

    public Object getValue()
    Description copied from class: `EvalContext`
    Typically returns the NodeSet by calling getNodeSet(), but will be overridden for contexts that more naturally produce individual values, e.g. VariableContext
    Overrides:
      `getValue` in class `EvalContext`
    Returns:
      Object

  - ### nextNode

    public boolean nextNode()
    Description copied from class: `EvalContext`
    Returns true if there is another object in the current set. Switches the current position and node to the next object.
    Specified by:
      `nextNode` in class `EvalContext`
    Returns:
      boolean

  - ### nextSet

    public boolean nextSet()
    Description copied from class: `EvalContext`
    Returns true if there is another sets of objects to interate over. Resets the current position and node.
    Overrides:
      `nextSet` in class `EvalContext`
    Returns:
      boolean

  - ### setPosition

    public boolean setPosition(int position)
    Description copied from class: `EvalContext`
    Moves the current position to the specified index. Used with integer predicates to quickly get to the n'th element of the node set. Returns false if the position is out of the node set range. You can call it with 0 as the position argument to restart the iteration.
    Overrides:
      `setPosition` in class `EvalContext`
    Parameters:
      `position` - to set
    Returns:
      boolean